package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否常用菜单 (0.非常用，1.常用)枚举类
*
* @author zxfei
*/
public enum CommMenuEnum {
    非常用(0, "非常用"),
    常用(1, "常用");
    private Integer value;
    private String desc;

    CommMenuEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CommMenuEnum getByValue(Integer value) {
        for (CommMenuEnum commMenuEnum : CommMenuEnum.values()) {
            if (commMenuEnum.getValue() == value) {
                return commMenuEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CommMenuEnum item : CommMenuEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}